### Method

# EDataServer SourceWebdav set_display_name

since: 3.6

#### Declaration [src]

    void
    e_source_webdav_set_display_name (
      ESourceWebdav* extension,
      const gchar* display_name
    )

#### Description [src]

Updates the last known display name of a WebDAV resource, which may differ from the `ESource:display-name` property of the `ESource` to which `extension` belongs.

The internal copy of `display_name` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceWebdav:display-name`

#### Parameters

`display_name`

  Type: `const gchar*`

  The display name of the WebDAV resource, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.